/* $Id$

This file is part of libmspal
Copyright © 2008 Mikko Rasa, Mikkosoft Productions
Diestributed under the LGPL
*/

#ifndef MSP_AL_BUFFER_H_
#define MSP_AL_BUFFER_H_

#include <string>
#include <AL/al.h>
#include "format.h"
#include "types.h"

namespace Msp {
namespace AL {

class Buffer
{
private:
	uint id;

public:
	Buffer();
	~Buffer();

	uint get_id() const { return id; }
	void data(Format, const void *, sizei, sizei);
	void load_data(const std::string &);
};

} // namespace AL
} // namespace Msp

#endif
