/* $Id$

This file is part of libmspal
Copyright © 2008 Mikko Rasa, Mikkosoft Productions
Diestributed under the LGPL
*/

#ifndef MSP_AL_DEVICE_H_
#define MSP_AL_DEVICE_H_

#include <string>
#include <AL/alc.h>

namespace Msp {
namespace AL {

class Device
{
private:
	ALCdevice *dev;

public:
	Device();
	Device(const std::string &);
	ALCdevice *get_device() { return dev; }
};

} // namespace AL
} // namespace Msp

#endif
